#include <iostream>

using namespace std;

int main()
{
    int X, Y, T, a;
    cin>> X >> Y;
    if (X%10>Y%10){
        a=X%10;
    }else{
        a=Y%10;
    }
    if(X-X%10>Y-Y%10){
        T=X-X%10+a;
    }else{
        T=Y-Y%10+a;
    }
    cout<<T<<endl;
    return 0;
}